%global gem_name builder

Name: rubygem-%{gem_name}
Version: 3.2.4
Release:    2%{?dist}
Summary: Builders for MarkUp
License: MIT
URL: http://onestepback.org
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Patch0: rubygem-builder-3.2.4-Fix-Ruby-3-compatibility.patch
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildRequires: rubygem(minitest)
BuildArch: noarch

%description
Builder provides a number of builder objects that make creating structured
data simple to do. Currently the following builder objects are supported:
* XML Markup
* XML Events


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%patch0 -p1

%build
gem build ../%{gem_name}-%{version}.gemspec

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

pushd %{buildroot}%{gem_instdir}
  find -type f -name '*.rb' -print | xargs sed -i '/#!\/usr\/bin\/env/d'
popd

sed -i '/#!\/usr\/bin\/env/d' %{buildroot}%{gem_instdir}/rakelib/tags.rake


%check
pushd .%{gem_instdir}
ruby -Ilib:test -e 'Dir.glob "./test/test_*.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGES
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/builder.blurb
%{gem_instdir}/builder.gemspec
%doc %{gem_instdir}/doc
%{gem_instdir}/rakelib
%{gem_instdir}/test

%changelog
* Thu Jun 12 2025 bbrucezhang <bbrucezhang@tencent.com> - 3.2.4-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.4-1
- initial build
